package com.ym.mec.education.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 收费类型与科目的关联表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("charge_type_subject_mapper")
public class ChargeTypeSubjectMapper extends Model<ChargeTypeSubjectMapper> {

    private static final long serialVersionUID = 1L;

    @TableId("id_")
    private Long id;
    @TableField("charge_type_id_")
    private Integer chargeTypeId;
    @TableField("subject_id_")
    private Integer subjectId;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("kit_group_purchase_type_")
    private String kitGroupPurchaseType;
    @TableField("deposit_fee_")
    private BigDecimal depositFee;
    @TableField("fee_")
    private BigDecimal fee;


    public Long getId() {
        return id;
    }

    public ChargeTypeSubjectMapper setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getChargeTypeId() {
        return chargeTypeId;
    }

    public ChargeTypeSubjectMapper setChargeTypeId(Integer chargeTypeId) {
        this.chargeTypeId = chargeTypeId;
        return this;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public ChargeTypeSubjectMapper setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ChargeTypeSubjectMapper setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ChargeTypeSubjectMapper setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getKitGroupPurchaseType() {
        return kitGroupPurchaseType;
    }

    public ChargeTypeSubjectMapper setKitGroupPurchaseType(String kitGroupPurchaseType) {
        this.kitGroupPurchaseType = kitGroupPurchaseType;
        return this;
    }

    public BigDecimal getDepositFee() {
        return depositFee;
    }

    public ChargeTypeSubjectMapper setDepositFee(BigDecimal depositFee) {
        this.depositFee = depositFee;
        return this;
    }

    public BigDecimal getFee() {
        return fee;
    }

    public ChargeTypeSubjectMapper setFee(BigDecimal fee) {
        this.fee = fee;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ChargeTypeSubjectMapper{" +
        ", id=" + id +
        ", chargeTypeId=" + chargeTypeId +
        ", subjectId=" + subjectId +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", kitGroupPurchaseType=" + kitGroupPurchaseType +
        ", depositFee=" + depositFee +
        ", fee=" + fee +
        "}";
    }
}
